package com.caimei365.commodity.mapper;

import com.caimei365.commodity.model.search.ProductListVo;
import com.caimei365.commodity.model.vo.ProductShopVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/16
 */
@Mapper
public interface ShopMapper {
    /**
     * 供应商-主推商品
     */
    List<ProductListVo> getMainProducts(Integer shopId, List<Integer> visibilityList);

    /**
     * 获取供应商-我的商品列表
     */
    List<ProductShopVO> getShopProductsSelect(Integer shopId, String name, String productCode, Integer validFlag, Integer featuredFlag, Integer typeSort, Integer bigTypeId, Integer smallTypeId, Integer tinyTypeId);

    String getTypeName(Integer bigTypeId, Integer smallTypeId, Integer tinyTypeId);
}
