package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/12
 */
@Data
public class FloorContentVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 楼层id
     */
    private Integer floorId;

    /**
     * 分页详情楼层id
     */
    private Integer centreId;

    /**
     * 模板类型
     */
    private String templateType;

    /**
     * 网站广告图1
     */
    private String pcAdsImage1;

    /**
     * 网站广告图2
     */
    private String pcAdsImage2;

    /**
     * 网站广告图3
     */
    private String pcAdsImage3;

    /**
     * 移动端广告图1
     */
    private String appletsAdsImage1;

    /**
     * 移动端广告图2
     */
    private String appletsAdsImage2;

    /**
     * 移动端广告图3
     */
    private String appletsAdsImage3;

    /**
     * 广告跳转链接1
     */
    private String adsLink1;

    /**
     * 广告跳转链接2
     */
    private String adsLink2;

    /**
     * 广告跳转链接3
     */
    private String adsLink3;
    /**
     * 链接类型 -1未知类型 1二级页面 2项目仪器 3直播页面 4自由页面 5商品详情 6项目仪器详情
     * 7供应商主页 8专题活动页 9二手市场介绍 10二手商品列表 11二手商品发布 12商品搜索 13信息详情
     * 14品牌招商介绍页 15维修保养介绍页 16首页 17注册页 18信息中心 19供应商列表
     */
    private Integer linkType1;
    /**
     * 链接包含的参数
     */
    private Map<String, Object> linkParam1;

    /**
     * 同上
     */
    private Integer linkType2;
    /**
     * 链接包含的参数
     */
    private Map<String, Object> linkParam2;

    /**
     * 同上
     */
    private Integer linkType3;
    /**
     * 链接包含的参数
     */
    private Map<String, Object> linkParam3;
}
