package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/19
 */
@Data
public class ProductShopVO implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 商品id
     */
    private Integer productId;
    /**
     * 名称name
     */
    private String name;
    /**
     * 内部商品名称
     */
    private String aliasName;
    /**
     * 商品价格
     */
    private Double price;
    /**
     * 市场价
     */
    private Double normalPrice;
    /**
     * 主图
     */
    private String mainImage;
    /**
     * 所在分类名称
     */
    private String typeName;
    /**
     * 商品状态， 0逻辑删除 1待审核 2已上架 3已下架 8审核未通过 9已隐身 10已冻结
     */
    private Integer validFlag;
    /**
     * 供应商主推商品标志 0否 1是
     */
    private Integer featuredFlag;
    /** 商品货号 */
    private String productCode;
    /** 促销活动 */
    private PromotionsVo promotions;
    /**
     * 分类类型，1产品，2仪器
     */
    private Integer typeSort;
    /**
     * 一级分类ID
     */
    private Integer bigTypeId;
    /**
     * 二级分类Id
     */
    private Integer smallTypeId;
    /**
     * 三级分类Id
     */
    private Integer tinyTypeId;
}
